package com.bytedance.android.live.network.gson;

import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;
import com.google.gson.i;

public abstract class AbsJsonDeserializer<T> implements i<T> {
    public Gson LIZ;

    static {
        Covode.recordClassIndex(9605);
    }

    public AbsJsonDeserializer(Gson gson) {
        this.LIZ = gson;
    }
}
